Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003121 [JEDI VCL] 00 JVCL Components minor always 2005-07-29 04:20 2005-08-09 03:03
Reporter ZioNemo View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003121: TJvShapedButton: some shapes do not honour 'Flat' property
Description Setting the Flat property has no effect on some shapes (I needed jvSRound, but that's not the only one).
For the property I needed I added:
...
    if FFlat then
    begin
       // just draw a border of the right color
      Pen.Color := FFlatBorderColor;
      Ellipse(Rect.Left, Rect.Top, Rect.Right, Rect.Bottom);
      InflateRect(Rect, -1, -1);
    end
    else
    if OdsDown then
...
in procedure TJvShapedButton.CNDrawItemRound(var Msg: TWMDrawItem); obtaining the desired effect.
I do not know if this is the right fix and if I should submit a patch for all the shapes.

Regards
ZioNemo
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0007702)
obones (administrator)
2005-08-09 03:03

This is now fixed in CVS, all shapes are now consistent.

- Issue History
Date Modified Username Field Change
2005-07-29 04:20 ZioNemo New Issue
2005-07-29 04:22 ZioNemo Issue Monitored: ZioNemo
2005-08-09 03:03 obones Status new => resolved
2005-08-09 03:03 obones Resolution open => fixed
2005-08-09 03:03 obones Assigned To => obones
2005-08-09 03:03 obones Note Added: 0007702
2005-08-12 00:49 ZioNemo Issue End Monitor: ZioNemo


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker